Show / Hide Table of Contents

# Struct ImPlotLimitsPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPlotLimitsPtr

### Constructors

| Improve this Doc View Source

#### ImPlotLimitsPtr(ImPlotLimits*)

##### Declaration

    public ImPlotLimitsPtr(ImPlotLimits*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLimits* | nativePtr |

| Improve this Doc View Source

#### ImPlotLimitsPtr(IntPtr)

##### Declaration

    public ImPlotLimitsPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImPlotLimits*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImPlotLimits* |

| Improve this Doc View Source

#### X

##### Declaration

    public readonly ref ImPlotRange X { get; }

##### Property Value

Type | Description
--- | ---
ImPlotRange |

| Improve this Doc View Source

#### Y

##### Declaration

    public readonly ref ImPlotRange Y { get; }

##### Property Value

Type | Description
--- | ---
ImPlotRange |

### Methods

| Improve this Doc View Source

#### Contains(ImPlotPoint)

##### Declaration

    public bool Contains(ImPlotPoint p)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint | p |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Contains(Double, Double)

##### Declaration

    public bool Contains(double x, double y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Operators

| Improve this Doc View Source

#### Implicit(ImPlotLimits* to ImPlotLimitsPtr)

##### Declaration

    public static implicit operator ImPlotLimitsPtr(ImPlotLimits*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLimits* | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotLimitsPtr |

| Improve this Doc View Source

#### Implicit(ImPlotLimitsPtr to ImPlotLimits*)

##### Declaration

    public static implicit operator ImPlotLimits*(ImPlotLimitsPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLimitsPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImPlotLimits* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImPlotLimitsPtr)

##### Declaration

    public static implicit operator ImPlotLimitsPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotLimitsPtr |